MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029492Open CASCADE[OCCT] OCCT:Codingpublic2018-02-08 11:102018-06-29 21:21
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029492: Coding Rules. NCollection_IndexedDataMap - add missing documentation to method ::Add()
DescriptionVarious DataMap collections within NCollection package have similar methods with different undocumented behavior:
- NCollection_IndexedDataMap::Add() adds new key if it does not exist and does not modify existing value if it was already bound.
- NCollection_DataMap::Bind() adds new key if it does not exist and overrides existing value if it was already bound.

It is proposed to document current behavior.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0073886)
git (administrator)
2018-02-08 16:16

Branch CR29492 has been created by kgv.

SHA-1: 2a613da8374bc623afe30594af91d08fb050fd58


Detailed log of new commits:

Author: kgv
Date: Thu Feb 8 16:16:45 2018 +0300

    0029492: Foundation Classes, NCollection - add method Get() to DataMap collections analogous to operator[] in std::map
(0073922)
git (administrator)
2018-02-11 13:40

Branch CR29492_1 has been created by kgv.

SHA-1: 02c415ea8b7f14b31a00ca3c59b304ef53fb81f6


Detailed log of new commits:

Author: kgv
Date: Thu Feb 8 16:16:45 2018 +0300

    0029492: Coding Rules. NCollection_IndexedDataMap - add missing documentation to method ::Add()
(0073923)
kgv (developer)
2018-02-11 13:42

Patch is ready for review.
(0073937)
git (administrator)
2018-02-12 16:41

Branch CR29492_1 has been updated forcibly by kgv.

SHA-1: e6934c58ed83e411baf7f134bb67131794e38377
(0074027)
abv (manager)
2018-02-16 17:44
edited on: 2018-02-16 17:44

No remarks, please integrate (testing is not required -- the changes are in comments only)

(0074278)
git (administrator)
2018-03-06 15:50

Branch CR29492 has been deleted by kgv.

SHA-1: 2a613da8374bc623afe30594af91d08fb050fd58
(0074279)
git (administrator)
2018-03-06 15:50

Branch CR29492_1 has been deleted by kgv.

SHA-1: e6934c58ed83e411baf7f134bb67131794e38377

- Related Changesets
occt: master 94807a7d
Timestamp: 2018-02-08 13:16:45
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029492: Coding Rules. NCollection_IndexedDataMap - add missing documentation to method ::Add()
mod - src/NCollection/NCollection_DataMap.hxx Diff ] File ]
mod - src/NCollection/NCollection_IndexedDataMap.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-02-08 11:10 kgv New Issue
2018-02-08 11:10 kgv Assigned To => abv
2018-02-08 16:16 git Note Added: 0073886
2018-02-11 13:38 kgv Severity feature => integration request
2018-02-11 13:38 kgv Category OCCT:Foundation Classes => OCCT:Coding
2018-02-11 13:38 kgv Summary Foundation Classes, NCollection - add method Get() to DataMap collections analogous to operator[] in std::map => Coding Rules. NCollection_IndexedDataMap - add missing documentation to method ::Add()
2018-02-11 13:40 git Note Added: 0073922
2018-02-11 13:41 kgv Description Updated View Revisions
2018-02-11 13:42 kgv Note Added: 0073923
2018-02-11 13:42 kgv Severity integration request => trivial
2018-02-11 13:42 kgv Status new => resolved
2018-02-11 13:42 kgv Product Version => 7.2.0
2018-02-11 13:42 kgv Target Version 7.4.0* => 7.3.0
2018-02-12 16:41 git Note Added: 0073937
2018-02-16 17:44 abv Note Added: 0074027
2018-02-16 17:44 abv Assigned To abv => bugmaster
2018-02-16 17:44 abv Status resolved => reviewed
2018-02-16 17:44 abv Note Edited: 0074027 View Revisions
2018-02-19 10:48 apn Test case number => Not needed
2018-02-19 10:48 apn Status reviewed => tested
2018-03-04 15:34 bugmaster Changeset attached => occt master 94807a7d
2018-03-04 15:34 bugmaster Status tested => verified
2018-03-04 15:34 bugmaster Resolution open => fixed
2018-03-06 15:50 git Note Added: 0074278
2018-03-06 15:50 git Note Added: 0074279
2018-06-29 21:16 user533 Fixed in Version => 7.3.0
2018-06-29 21:21 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker